Bug 9514 - Client utils do not use client min/max protocol options
Client utils do not use client min/max protocol options
Status: REOPENED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
unspecified
All All
: P5 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-20 11:24 UTC by Björn Baumbach
Modified: 2016-11-07 18:46 UTC (History)
2 users (show)

See Also:


Attachments
backport for 4.0.x (1.21 KB, patch)
2013-10-22 15:12 UTC, Guenther Deschner
gd: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2012-12-20 11:24:45 UTC
The documented options client min protocol and client max protocol are currently ignored by the client utils.

Except the torture test uses the client max protocol option.
Comment 1 Stefan Metzmacher 2013-09-11 18:40:37 UTC
fixed in 4.1
Comment 2 Guenther Deschner 2013-10-22 15:11:47 UTC
Should be in 4.0.x also.
Comment 3 Guenther Deschner 2013-10-22 15:12:19 UTC
Created attachment 9312 [details]
backport for 4.0.x
Comment 4 Guenther Deschner 2013-10-22 15:12:44 UTC
Karolin, please add to 4.0.x as well.
Comment 5 Guenther Deschner 2013-10-22 15:13:48 UTC
Comment on attachment 9312 [details]
backport for 4.0.x

Metze, would that be ok ? Otherwise one has no chance to workaround the NTLMv2 session security issues.
Comment 6 Stefan Metzmacher 2013-10-22 15:20:32 UTC
Comment on attachment 9312 [details]
backport for 4.0.x

Looks ok
Comment 7 Karolin Seeger 2013-10-28 10:03:18 UTC
Pushed to autobuild-v4-0-test.
Comment 8 Karolin Seeger 2013-10-28 10:18:44 UTC
Autobuild fails with:

-------------------------
[2866/3931] Compiling source3/winbindd/wb_lookupsid.c
../source3/winbindd/winbindd_cm.c: In function 'cm_prepare_connection':
../source3/winbindd/winbindd_cm.c:897: error: implicit declaration of function 'lp_cli_minprotocol'
../source3/winbindd/winbindd_cm.c:898: error: implicit declaration of function 'lp_cli_maxprotocol'
[2867/3931] Compiling source3/winbindd/wb_lookupsids.c
Waf: Leaving directory `/memdisk/kseeger/a40/b220930/samba/bin'
Build failed:  -> task failed (err #1): 
	{task: cc winbindd_cm.c -> winbindd_cm_152.o}
--------------------------
Comment 9 Karolin Seeger 2013-10-28 11:12:20 UTC
Re-assigning to Günther to provide a fixed patch.
Comment 10 Stefan Metzmacher 2016-11-07 18:46:15 UTC
Günther, I guess this can be closed?